// 页面路径：store/index.js 
import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex);//vue的插件机制

//Vuex.Store 构造器选项
const store = new Vuex.Store({
	state:{//存放状态
		uid:'',
		ifConnect:false,
		ifVoice:false,
		ifMessage:false
	},
	mutations: {
		setUid(state, str) {
			state.uid = str;
		},
		setConnect(state, str) {
			state.ifConnect = str;
		},
		// 语音开关设置
		setVoice(state, str) {
			state.ifVoice = str;
		},
		// 新消息通知设置
		setMessage(state, str) {
			state.ifMessage = str;
		}
	}
})
export default store